Subject: bug#53743: Using spaces in names doesn't have complete sanitization

From: Maxime Devos <[email-masked]>
Date: Thu, 03 Feb 2022 18:32:51 +0000

Tsarina Baelarina Nina schreef op wo 02-02-2022 om 20:49 [-0800]:
> I put my name as Tsarina Baelarina Nina, as opposed to my real name.
> It created the correct home profile, but also included the two extra
> empty directories in my home directory as included in the attachment
> for proof. I think I remember reading something about camel casing
> for user names on the system, as in the name can't start with a
> capital letter, but I thought you could get away with spaces if you
> escaped the strings properly \(space).

I can reproduce with the attached configuration.
I'm wondering what software is creating these 'Baelarina' and 'Nina'
subdirectories of '/home/Tsarina Baelarina Nina/' ... is it Guix, is it
GDM, is it the GNOME desktop ...?